%define libmajor 0
%define api_version 1
%define libname %mklibname polkit-gtk %api_version %{libmajor}
%define libname_devel %mklibname -d polkit-gtk %api_version
%define polkit 0.95

Summary: PolicyKit integration for the GNOME desktop
Name: polkit-gnome
Version: 0.102
Release: %mkrel 8
License: LGPLv2+
URL: http://www.freedesktop.org/wiki/Software/PolicyKit
Group: System/Libraries
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%name/%{name}-%{version}.tar.xz
Source2: 64-polkit-gnome-authentication-agent-1.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gtk2-devel
BuildRequires: polkit-1-devel >= %polkit
BuildRequires: intltool
BuildRequires: gtk-doc
BuildRequires: gobject-introspection-devel

Provides: polkit-agent

Requires: polkit
Requires: %{_lib}polkit1_0

Requires: policykit
Requires: %{_lib}polkit2

Requires: consolekit
Requires: consolekit-x11
Requires: %{_lib}consolekit0


%description
polkit-gnome provides an authentication agent for PolicyKit
that matches the look and feel of the GNOME desktop.

%package -n %{libname}
Summary: Development files for polkit-gnome
Group: System/Libraries

%description -n %{libname}
Development files for polkit-gnome.

%package -n %{libname_devel}
Summary: Development files for polkit-gnome
Group: Development/Libraries
Requires: %name = %{version}
Requires: %libname = %{version}
Suggests: %name-docs = %{version}
Provides: %name-devel = %{version}-%{release}
Provides: libpolkit-gtk-1-devel = %{version}-%{release}
Provides: libpolkit-gtk-devel = %{version}-%{release}

%description -n %{libname_devel}
Development files for polkit-gnome.

%package docs
Summary: Development documentation for polkit-gnome
Group: Documentation

%description docs
Development documentation for polkit-gnome.

%prep
%setup -q

%build
%configure2_5x --disable-gtk-doc --disable-static
make

%install
rm -rf %buildroot
%makeinstall_std

rm -f %buildroot/%{_libdir}/lib*.la

mkdir -p %buildroot/etc/xdg/autostart
install -m 0644 %SOURCE2 %buildroot/etc/xdg/autostart/polkit-gnome-authentication-agent-1.desktop

%find_lang polkit-gnome-1

%clean
rm -rf %buildroot

%files -f polkit-gnome-1.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS README
%{_libexecdir}/polkit-gnome-authentication-agent-1
%{_sysconfdir}/xdg/autostart/polkit-gnome-authentication-agent-1.desktop


%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.%{libmajor}*
%_libdir/girepository-1.0/PolkitGtk-1.0.typelib

%files -n %{libname_devel}
%defattr(-,root,root,-)
%{_libdir}/lib*.so

%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%_datadir/gir-1.0/PolkitGtk-1.0.gir

%files docs
%defattr(-,root,root,-)



%changelog
* Mon Sep 30 2019 tex - 0.102-8pclos2019
- fix onlyshow desktops

* Fri Aug 16 2019 tex - 0.102-7pclos2019
- fix polkit
